petsc-3.7.1 2016-05-15
Report Typos and Errors

# PFCreate

Creates a mathematical function context.

### Synopsis

    #include "petscpf.h"
    PetscErrorCode  PFCreate(MPI_Comm comm,PetscInt dimin,PetscInt dimout,PF *pf)

Collective on MPI_Comm Many br

### Input Parameter

| comm | - MPI communicator Many br
| dimin | - dimension of the space you are mapping from Many br
| dimout | - dimension of the space you are mapping to Many br

### Output Parameter

pf -the function context Many br

Many br

### Keywords

PF, create, context

### See Also

PFSet(), PFApply(), PFDestroy(), PFApplyVec()

Level:developer
Location:src/vec/pf/interface/pf.c
Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex22.c.html